org.apache.ignite.igfs

## Interface IgfsMetrics

All Known Implementing Classes:
  IgfsMetricsAdapter

    public interface IgfsMetrics

`IGFS` metrics snapshot for the file system. Note, that some metrics are global and some are local (i.e. per each node).

### Method Summary

Methods
`long` `blocksReadRemote()` Gets total remote blocks read.
`long` `blocksReadTotal()` Gets total blocks read, local and remote.
`long` `blocksWrittenRemote()` Gets total remote blocks written.
`long` `blocksWrittenTotal()` Gets total blocks written, local and remote.
`long` `bytesRead()` Gets total bytes read.
`long` `bytesReadTime()` Gets total bytes read time.
`long` `bytesWriteTime()` Gets total bytes write time.
`long` `bytesWritten()` Gets total bytes written.
`int` `directoriesCount()` Gets number of directories created in file system.
`int` `filesCount()` Gets number of files stored in file system.
`int` `filesOpenedForRead()` Gets number of files that are currently opened for reading.
`int` `filesOpenedForWrite()` Gets number of files that are currently opened for writing.
`long` `localSpaceSize()` Gets local used space in bytes.
`long` `maxSpaceSize()` Gets maximum amount of data that can be stored on local node.
`long` `secondarySpaceSize()` Get used space in bytes used in the secondary file system.

### Method Detail

#### localSpaceSize

    long localSpaceSize()

Gets local used space in bytes. This is the sum of all file chunks stored on local node.

This is a local metric.

Returns:
  Node used space in bytes.

#### maxSpaceSize

    long maxSpaceSize()

Gets maximum amount of data that can be stored on local node. This metrics is either equal to `FileSystemConfiguration.getMaxSpaceSize()`, or, if it is `0`, equal to `80%` of maximum heap size allocated for JVM.

Returns:
  Maximum IGFS local space size.

#### secondarySpaceSize

    long secondarySpaceSize()

Get used space in bytes used in the secondary file system.

This is a global metric.

Returns:
  Used space in the secondary file system or `0` in case no secondary file system is configured.

#### directoriesCount

    int directoriesCount()

Gets number of directories created in file system.

This is a global metric.

Returns:
  Number of directories.

#### filesCount

    int filesCount()

Gets number of files stored in file system.

This is a global metric.

Returns:
  Number of files.

#### filesOpenedForRead

    int filesOpenedForRead()

Gets number of files that are currently opened for reading.

This is a local metric.

Returns:
  Number of opened files.

#### filesOpenedForWrite

    int filesOpenedForWrite()

Gets number of files that are currently opened for writing.

This is a local metric.

Returns:
  Number of opened files.

#### blocksReadTotal

    long blocksReadTotal()

Gets total blocks read, local and remote.

This is a local metric.

Returns:
  Total blocks read.

#### blocksReadRemote

    long blocksReadRemote()

Gets total remote blocks read.

This is a local metric.

Returns:
  Total blocks remote read.

#### blocksWrittenTotal

    long blocksWrittenTotal()

Gets total blocks written, local and remote.

This is a local metric.

Returns:
  Total blocks written.

#### blocksWrittenRemote

    long blocksWrittenRemote()

Gets total remote blocks written.

This is a local metric.

Returns:
  Total blocks written.

#### bytesRead

    long bytesRead()

Gets total bytes read.

This is a local metric.

Returns:
  Total bytes read.

#### bytesReadTime

    long bytesReadTime()

Gets total bytes read time.

This is a local metric.

Returns:
  Total bytes read time.

#### bytesWritten

    long bytesWritten()

Gets total bytes written.

This is a local metric.

Returns:
  Total bytes written.

#### bytesWriteTime

    long bytesWriteTime()

Gets total bytes write time.

This is a local metric.

Returns:
  Total bytes write time.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.1.0-incubating
Release Date | : May 20 2015